Bug 247920 - external hard disk drive doesn't work with udev-113-3.fc8
external hard disk drive doesn't work with udev-113-3.fc8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 19:48 EDT by Deji Akingunola
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: udev-113-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-15 17:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2007-07-11 19:48:10 EDT
Description of problem: After updating to udev-113-3.fc8, external disk drives
cannot be mounted, the device nodes were not created. Downgrading to
udev-113-2.fc8 make things work again. My two internal disk (one SATA and the
other IDE disk) were of course mounted fine. 


Version-Release number of selected component (if applicable):udev-113-3.fc8


How reproducible: always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2007-07-13 06:34:13 EDT
does it work if you add "nomcollect" to the kernel command line with
udev-113-3.fc8 ??
Comment 2 Harald Hoyer 2007-07-13 06:34:48 EDT
btw, which kind of external drive is this? USB?
Comment 3 Harald Hoyer 2007-07-13 06:38:03 EDT
if booting with nomcollect does not work, try to change the line in
/etc/udev/rules.d/05-udev-early.rules from:
ACTION=="add", SUBSYSTEM=="pnp", ATTR{id}=="?*", RUN+="modprobe_helper
pnp:d$attr{id}"
to:
ACTION=="add", SUBSYSTEM=="pnp", RUN+="/bin/sh -c 'while read id; do
/sbin/modprobe pnp:d$$id; done < /sys/$devpath/id'"

and see if that works.
Comment 4 Deji Akingunola 2007-07-13 13:33:27 EDT
Booting with 'nomcollect' works. Yes, it's a USB drive, but also has a firewire
interface. I have the same issue (booting without nomcollect) if I connect
through the firewire interface.
Comment 5 Deji Akingunola 2007-07-15 17:04:53 EDT
Issue fixed in udev-113-4.fc8 (without needing to boot with nomcollect). Thanks.

Note You need to log in before you can comment on or make changes to this bug.